{{- $dlvm := .Values.dlvm }}
---
apiVersion: compute.gcp.mcp.org/v1alpha1
kind: InstanceClaim
metadata:
  {{- if .Values.folder.labels }}
  labels:
      {{- range $key, $val := .Values.folder.labels }}
      {{ $key }}: {{ $val | quote }}
      {{- end}}
  {{- end }}
  namespace: {{ $dlvm.namespace }} 
  name: {{ $dlvm.name }}
spec:
  forProvider:
    project: {{ $dlvm.project }}
    bootDisk:
      - initializeParams:
          - image: {{ $dlvm.image }}
    machineType: {{ $dlvm.machineType }}
    networkInterface:
      - network: {{ $dlvm.network }}
    zone: {{ $dlvm.zone }}
    {{- if .Values.dlvm.tags }}
    tags:
      {{- range .Values.dlvm.tags}}
      -  {{ . -}}         
      {{ end }}
    {{- end }}
    {{- if .Values.dlvm.metadata }}
    metadata:
        {{- range $key, $val := .Values.dlvm.metadata }}
        {{ $key }}: {{ $val | quote }}
        {{- end}}
    {{- end }}
    metadataStartupScript: {{ $dlvm.metadataStartupScript }}
    hostname: {{ $dlvm.hostname }}
    minCpuPlatform: {{ $dlvm.minCpuPlatform }}
    allowStoppingForUpdate: {{ $dlvm.allowStoppingForUpdate }}
    canIpForward: {{ $dlvm.canIpForward }}
    description: {{ $dlvm.description }}
    deletionProtection: {{ $dlvm.deletionProtection }}
    enableDisplay: {{ $dlvm.enableDisplay }}
    guestAccelerator:
      - type: {{ $dlvm.type }}
        count: {{ $dlvm.count }}
    scheduling:
      - onHostMaintenance: {{ $dlvm.onHostMaintenance}}
